Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 4063 in orxonox.OLD for orxonox/branches/md2_loader/configure


Ignore:
Timestamp:
May 5, 2005, 2:37:08 PM (19 years ago)
Author:
patrick
Message:

orxonox/branche/md2_loader: merged trunk into my branche

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/md2_loader/configure

    r4010 r4063  
    312312#endif"
    313313
    314 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOCUMENTATION_TRUE DOCUMENTATION_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE GPROF MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOCUMENTATION_TRUE DOCUMENTATION_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE GPROF MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
    315315ac_subst_files=''
    316316
     
    879879  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    880880  --without-gtk           Prevents GTK from being loaded
    881   --without-gthread       Prevents gThread from being loaded
    882   --without-pthread       Prevents pthread from being loaded
    883881  --without-curl          Prevents libcURL from being loaded
    884882
     
    16041602fi
    16051603
    1606 if mkdir -p -- . 2>/dev/null; then
     1604if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
    16071605  # Keeping the `.' argument allows $(mkdir_p) to be used without
    16081606  # argument.  Indeed, we sometimes output rules like
     
    16171615  # directories to create, and then abort because `.' already
    16181616  # exists.
    1619   for d in ./-p ./--;
     1617  for d in ./-p ./--version;
    16201618  do
    16211619    test -d $d && rmdir $d
     
    25232521    for i in 1 2 3 4 5 6; do
    25242522      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    2525       : > sub/conftst$i.h
     2523      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
     2524      # Solaris 8's {/usr,}/bin/sh.
     2525      touch sub/conftst$i.h
    25262526    done
    25272527    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    25512551       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    25522552      # icc doesn't choke on unknown options, it will just issue warnings
    2553       # (even with -Werror).  So we grep stderr for any message
    2554       # that says an option was ignored.
    2555       if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
     2553      # or remarks (even with -Werror).  So we grep stderr for any message
     2554      # that says an option was ignored or not supported.
     2555      # When given -MP, icc 7.0 and 7.1 complain thusly:
     2556      #   icc: Command line warning: ignoring option '-M'; no argument required
     2557      # The diagnosis changed in icc 8.0:
     2558      #   icc: Command line remark: option '-MP' not supported
     2559      if (grep 'ignoring option' conftest.err ||
     2560          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
    25562561        am_cv_CXX_dependencies_compiler_type=$depmode
    25572562        break
     
    25832588fi
    25842589
     2590
     2591if test -n "$ac_tool_prefix"; then
     2592  # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
     2593set dummy ${ac_tool_prefix}ranlib; ac_word=$2
     2594echo "$as_me:$LINENO: checking for $ac_word" >&5
     2595echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     2596if test "${ac_cv_prog_RANLIB+set}" = set; then
     2597  echo $ECHO_N "(cached) $ECHO_C" >&6
     2598else
     2599  if test -n "$RANLIB"; then
     2600  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
     2601else
     2602as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     2603for as_dir in $PATH
     2604do
     2605  IFS=$as_save_IFS
     2606  test -z "$as_dir" && as_dir=.
     2607  for ac_exec_ext in '' $ac_executable_extensions; do
     2608  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     2609    ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
     2610    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     2611    break 2
     2612  fi
     2613done
     2614done
     2615
     2616fi
     2617fi
     2618RANLIB=$ac_cv_prog_RANLIB
     2619if test -n "$RANLIB"; then
     2620  echo "$as_me:$LINENO: result: $RANLIB" >&5
     2621echo "${ECHO_T}$RANLIB" >&6
     2622else
     2623  echo "$as_me:$LINENO: result: no" >&5
     2624echo "${ECHO_T}no" >&6
     2625fi
     2626
     2627fi
     2628if test -z "$ac_cv_prog_RANLIB"; then
     2629  ac_ct_RANLIB=$RANLIB
     2630  # Extract the first word of "ranlib", so it can be a program name with args.
     2631set dummy ranlib; ac_word=$2
     2632echo "$as_me:$LINENO: checking for $ac_word" >&5
     2633echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     2634if test "${ac_cv_prog_ac_ct_RANLIB+set}" = set; then
     2635  echo $ECHO_N "(cached) $ECHO_C" >&6
     2636else
     2637  if test -n "$ac_ct_RANLIB"; then
     2638  ac_cv_prog_ac_ct_RANLIB="$ac_ct_RANLIB" # Let the user override the test.
     2639else
     2640as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     2641for as_dir in $PATH
     2642do
     2643  IFS=$as_save_IFS
     2644  test -z "$as_dir" && as_dir=.
     2645  for ac_exec_ext in '' $ac_executable_extensions; do
     2646  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     2647    ac_cv_prog_ac_ct_RANLIB="ranlib"
     2648    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     2649    break 2
     2650  fi
     2651done
     2652done
     2653
     2654  test -z "$ac_cv_prog_ac_ct_RANLIB" && ac_cv_prog_ac_ct_RANLIB=":"
     2655fi
     2656fi
     2657ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
     2658if test -n "$ac_ct_RANLIB"; then
     2659  echo "$as_me:$LINENO: result: $ac_ct_RANLIB" >&5
     2660echo "${ECHO_T}$ac_ct_RANLIB" >&6
     2661else
     2662  echo "$as_me:$LINENO: result: no" >&5
     2663echo "${ECHO_T}no" >&6
     2664fi
     2665
     2666  RANLIB=$ac_ct_RANLIB
     2667else
     2668  RANLIB="$ac_cv_prog_RANLIB"
     2669fi
    25852670
    25862671ac_ext=c
     
    33543439    for i in 1 2 3 4 5 6; do
    33553440      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    3356       : > sub/conftst$i.h
     3441      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
     3442      # Solaris 8's {/usr,}/bin/sh.
     3443      touch sub/conftst$i.h
    33573444    done
    33583445    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    33823469       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    33833470      # icc doesn't choke on unknown options, it will just issue warnings
    3384       # (even with -Werror).  So we grep stderr for any message
    3385       # that says an option was ignored.
    3386       if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
     3471      # or remarks (even with -Werror).  So we grep stderr for any message
     3472      # that says an option was ignored or not supported.
     3473      # When given -MP, icc 7.0 and 7.1 complain thusly:
     3474      #   icc: Command line warning: ignoring option '-M'; no argument required
     3475      # The diagnosis changed in icc 8.0:
     3476      #   icc: Command line remark: option '-MP' not supported
     3477      if (grep 'ignoring option' conftest.err ||
     3478          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
    33873479        am_cv_CC_dependencies_compiler_type=$depmode
    33883480        break
     
    39084000fi
    39094001if test x$def_gtk = xno; then
    3910   echo "no"
    3911 fi
    3912 
    3913 #------------------#
    3914 # gThread-disabled #
    3915 #------------------#
    3916 echo "$as_me:$LINENO: checking if gThread should be enabled" >&5
    3917 echo $ECHO_N "checking if gThread should be enabled... $ECHO_C" >&6
    3918 
    3919 # Check whether --with-gthread or --without-gthread was given.
    3920 if test "${with_gthread+set}" = set; then
    3921   withval="$with_gthread"
    3922   def_gthread=no
    3923 else
    3924   def_gthread=yes
    3925 fi;
    3926 if test x$def_gthread = xyes; then
    3927   echo "yes"
    3928 fi
    3929 if test x$def_gthread = xno; then
    3930   echo "no"
    3931 fi
    3932 
    3933 #------------------#
    3934 # pthread-disabled #
    3935 #------------------#
    3936 echo "$as_me:$LINENO: checking if pthread should be enabled" >&5
    3937 echo $ECHO_N "checking if pthread should be enabled... $ECHO_C" >&6
    3938 
    3939 # Check whether --with-pthread or --without-pthread was given.
    3940 if test "${with_pthread+set}" = set; then
    3941   withval="$with_pthread"
    3942   def_pthread=no
    3943 else
    3944   def_pthread=yes
    3945 fi;
    3946 if test x$def_pthread = xyes; then
    3947   echo "yes"
    3948 fi
    3949 if test x$def_pthread = xno; then
    39504002  echo "no"
    39514003fi
     
    66556707
    66566708#---------#
    6657 # gThread #
    6658 #---------#
    6659 if test x$def_gthread = xyes; then
    6660 
    6661         echo "$as_me:$LINENO: checking for gthread" >&5
    6662 echo $ECHO_N "checking for gthread... $ECHO_C" >&6
    6663         if `pkg-config --exists gthread-2.0`; then
    6664                 echo "yes"
    6665                 have_gthread=yes
    6666                 GTHREAD_LIBS=`pkg-config --libs gthread-2.0`
    6667                 GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
    6668 
    6669 cat >>confdefs.h <<_ACEOF
    6670 #define HAVE_GTHREAD 1
    6671 _ACEOF
    6672 
    6673         else
    6674                 echo "no"
    6675         fi
    6676 
    6677 fi
    6678 
    6679 
    6680 
    6681 
    6682 if test x$have_gthread = xyes; then
    6683   HAVE_GTHREAD_TRUE=
    6684   HAVE_GTHREAD_FALSE='#'
    6685 else
    6686   HAVE_GTHREAD_TRUE='#'
    6687   HAVE_GTHREAD_FALSE=
    6688 fi
    6689 
    6690 
    6691 #---------#
    66926709# libcURL #
    66936710#---------#
     
    69356952
    69366953
    6937 #---------#
    6938 # pthread #
    6939 #---------#
    6940 if test x$def_pthread = xyes ; then
    6941  if test x$have_gthread = xyes ; then
    6942 
    6943 for ac_header in pthread.h
     6954#--------#
     6955# efence #
     6956#--------#
     6957if test x$def_efence = xyes ; then
     6958  echo "$as_me:$LINENO: checking for main in -lefence" >&5
     6959echo $ECHO_N "checking for main in -lefence... $ECHO_C" >&6
     6960if test "${ac_cv_lib_efence_main+set}" = set; then
     6961  echo $ECHO_N "(cached) $ECHO_C" >&6
     6962else
     6963  ac_check_lib_save_LIBS=$LIBS
     6964LIBS="-lefence  $LIBS"
     6965cat >conftest.$ac_ext <<_ACEOF
     6966/* confdefs.h.  */
     6967_ACEOF
     6968cat confdefs.h >>conftest.$ac_ext
     6969cat >>conftest.$ac_ext <<_ACEOF
     6970/* end confdefs.h.  */
     6971
     6972
     6973int
     6974main ()
     6975{
     6976main ();
     6977  ;
     6978  return 0;
     6979}
     6980_ACEOF
     6981rm -f conftest.$ac_objext conftest$ac_exeext
     6982if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6983  (eval $ac_link) 2>conftest.er1
     6984  ac_status=$?
     6985  grep -v '^ *+' conftest.er1 >conftest.err
     6986  rm -f conftest.er1
     6987  cat conftest.err >&5
     6988  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6989  (exit $ac_status); } &&
     6990         { ac_try='test -z "$ac_c_werror_flag"
     6991                         || test ! -s conftest.err'
     6992  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6993  (eval $ac_try) 2>&5
     6994  ac_status=$?
     6995  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6996  (exit $ac_status); }; } &&
     6997         { ac_try='test -s conftest$ac_exeext'
     6998  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6999  (eval $ac_try) 2>&5
     7000  ac_status=$?
     7001  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7002  (exit $ac_status); }; }; then
     7003  ac_cv_lib_efence_main=yes
     7004else
     7005  echo "$as_me: failed program was:" >&5
     7006sed 's/^/| /' conftest.$ac_ext >&5
     7007
     7008ac_cv_lib_efence_main=no
     7009fi
     7010rm -f conftest.err conftest.$ac_objext \
     7011      conftest$ac_exeext conftest.$ac_ext
     7012LIBS=$ac_check_lib_save_LIBS
     7013fi
     7014echo "$as_me:$LINENO: result: $ac_cv_lib_efence_main" >&5
     7015echo "${ECHO_T}$ac_cv_lib_efence_main" >&6
     7016if test $ac_cv_lib_efence_main = yes; then
     7017  FOUND_efence=yes
     7018fi
     7019
     7020   if test x$FOUND_efence = xyes ; then
     7021      LIBS="$LIBS -lefence"
     7022   fi
     7023
     7024fi
     7025
     7026# FIXME: Replace `main' with a function in `-lm':
     7027
     7028echo "$as_me:$LINENO: checking for main in -lm" >&5
     7029echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
     7030if test "${ac_cv_lib_m_main+set}" = set; then
     7031  echo $ECHO_N "(cached) $ECHO_C" >&6
     7032else
     7033  ac_check_lib_save_LIBS=$LIBS
     7034LIBS="-lm  $LIBS"
     7035cat >conftest.$ac_ext <<_ACEOF
     7036/* confdefs.h.  */
     7037_ACEOF
     7038cat confdefs.h >>conftest.$ac_ext
     7039cat >>conftest.$ac_ext <<_ACEOF
     7040/* end confdefs.h.  */
     7041
     7042
     7043int
     7044main ()
     7045{
     7046main ();
     7047  ;
     7048  return 0;
     7049}
     7050_ACEOF
     7051rm -f conftest.$ac_objext conftest$ac_exeext
     7052if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7053  (eval $ac_link) 2>conftest.er1
     7054  ac_status=$?
     7055  grep -v '^ *+' conftest.er1 >conftest.err
     7056  rm -f conftest.er1
     7057  cat conftest.err >&5
     7058  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7059  (exit $ac_status); } &&
     7060         { ac_try='test -z "$ac_c_werror_flag"
     7061                         || test ! -s conftest.err'
     7062  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7063  (eval $ac_try) 2>&5
     7064  ac_status=$?
     7065  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7066  (exit $ac_status); }; } &&
     7067         { ac_try='test -s conftest$ac_exeext'
     7068  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7069  (eval $ac_try) 2>&5
     7070  ac_status=$?
     7071  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7072  (exit $ac_status); }; }; then
     7073  ac_cv_lib_m_main=yes
     7074else
     7075  echo "$as_me: failed program was:" >&5
     7076sed 's/^/| /' conftest.$ac_ext >&5
     7077
     7078ac_cv_lib_m_main=no
     7079fi
     7080rm -f conftest.err conftest.$ac_objext \
     7081      conftest$ac_exeext conftest.$ac_ext
     7082LIBS=$ac_check_lib_save_LIBS
     7083fi
     7084echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
     7085echo "${ECHO_T}$ac_cv_lib_m_main" >&6
     7086if test $ac_cv_lib_m_main = yes; then
     7087  cat >>confdefs.h <<_ACEOF
     7088#define HAVE_LIBM 1
     7089_ACEOF
     7090
     7091  LIBS="-lm $LIBS"
     7092
     7093fi
     7094
     7095
     7096
     7097# Checks for header files.
     7098echo "$as_me:$LINENO: checking for ANSI C header files" >&5
     7099echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     7100if test "${ac_cv_header_stdc+set}" = set; then
     7101  echo $ECHO_N "(cached) $ECHO_C" >&6
     7102else
     7103  cat >conftest.$ac_ext <<_ACEOF
     7104/* confdefs.h.  */
     7105_ACEOF
     7106cat confdefs.h >>conftest.$ac_ext
     7107cat >>conftest.$ac_ext <<_ACEOF
     7108/* end confdefs.h.  */
     7109#include <stdlib.h>
     7110#include <stdarg.h>
     7111#include <string.h>
     7112#include <float.h>
     7113
     7114int
     7115main ()
     7116{
     7117
     7118  ;
     7119  return 0;
     7120}
     7121_ACEOF
     7122rm -f conftest.$ac_objext
     7123if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7124  (eval $ac_compile) 2>conftest.er1
     7125  ac_status=$?
     7126  grep -v '^ *+' conftest.er1 >conftest.err
     7127  rm -f conftest.er1
     7128  cat conftest.err >&5
     7129  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7130  (exit $ac_status); } &&
     7131         { ac_try='test -z "$ac_c_werror_flag"
     7132                         || test ! -s conftest.err'
     7133  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7134  (eval $ac_try) 2>&5
     7135  ac_status=$?
     7136  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7137  (exit $ac_status); }; } &&
     7138         { ac_try='test -s conftest.$ac_objext'
     7139  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7140  (eval $ac_try) 2>&5
     7141  ac_status=$?
     7142  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7143  (exit $ac_status); }; }; then
     7144  ac_cv_header_stdc=yes
     7145else
     7146  echo "$as_me: failed program was:" >&5
     7147sed 's/^/| /' conftest.$ac_ext >&5
     7148
     7149ac_cv_header_stdc=no
     7150fi
     7151rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7152
     7153if test $ac_cv_header_stdc = yes; then
     7154  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
     7155  cat >conftest.$ac_ext <<_ACEOF
     7156/* confdefs.h.  */
     7157_ACEOF
     7158cat confdefs.h >>conftest.$ac_ext
     7159cat >>conftest.$ac_ext <<_ACEOF
     7160/* end confdefs.h.  */
     7161#include <string.h>
     7162
     7163_ACEOF
     7164if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7165  $EGREP "memchr" >/dev/null 2>&1; then
     7166  :
     7167else
     7168  ac_cv_header_stdc=no
     7169fi
     7170rm -f conftest*
     7171
     7172fi
     7173
     7174if test $ac_cv_header_stdc = yes; then
     7175  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
     7176  cat >conftest.$ac_ext <<_ACEOF
     7177/* confdefs.h.  */
     7178_ACEOF
     7179cat confdefs.h >>conftest.$ac_ext
     7180cat >>conftest.$ac_ext <<_ACEOF
     7181/* end confdefs.h.  */
     7182#include <stdlib.h>
     7183
     7184_ACEOF
     7185if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7186  $EGREP "free" >/dev/null 2>&1; then
     7187  :
     7188else
     7189  ac_cv_header_stdc=no
     7190fi
     7191rm -f conftest*
     7192
     7193fi
     7194
     7195if test $ac_cv_header_stdc = yes; then
     7196  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
     7197  if test "$cross_compiling" = yes; then
     7198  :
     7199else
     7200  cat >conftest.$ac_ext <<_ACEOF
     7201/* confdefs.h.  */
     7202_ACEOF
     7203cat confdefs.h >>conftest.$ac_ext
     7204cat >>conftest.$ac_ext <<_ACEOF
     7205/* end confdefs.h.  */
     7206#include <ctype.h>
     7207#if ((' ' & 0x0FF) == 0x020)
     7208# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
     7209# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
     7210#else
     7211# define ISLOWER(c) \
     7212                   (('a' <= (c) && (c) <= 'i') \
     7213                     || ('j' <= (c) && (c) <= 'r') \
     7214                     || ('s' <= (c) && (c) <= 'z'))
     7215# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
     7216#endif
     7217
     7218#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
     7219int
     7220main ()
     7221{
     7222  int i;
     7223  for (i = 0; i < 256; i++)
     7224    if (XOR (islower (i), ISLOWER (i))
     7225        || toupper (i) != TOUPPER (i))
     7226      exit(2);
     7227  exit (0);
     7228}
     7229_ACEOF
     7230rm -f conftest$ac_exeext
     7231if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7232  (eval $ac_link) 2>&5
     7233  ac_status=$?
     7234  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7235  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     7236  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7237  (eval $ac_try) 2>&5
     7238  ac_status=$?
     7239  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7240  (exit $ac_status); }; }; then
     7241  :
     7242else
     7243  echo "$as_me: program exited with status $ac_status" >&5
     7244echo "$as_me: failed program was:" >&5
     7245sed 's/^/| /' conftest.$ac_ext >&5
     7246
     7247( exit $ac_status )
     7248ac_cv_header_stdc=no
     7249fi
     7250rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     7251fi
     7252fi
     7253fi
     7254echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
     7255echo "${ECHO_T}$ac_cv_header_stdc" >&6
     7256if test $ac_cv_header_stdc = yes; then
     7257
     7258cat >>confdefs.h <<\_ACEOF
     7259#define STDC_HEADERS 1
     7260_ACEOF
     7261
     7262fi
     7263
     7264
     7265
     7266for ac_header in stdlib.h string.h
    69447267do
    69457268as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    70857408#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    70867409_ACEOF
    7087  pthreadHeader="yes"
    7088 else
    7089   pthreadHeader="no"
     7410
    70907411fi
    70917412
    70927413done
    70937414
    7094   echo "$as_me:$LINENO: checking for main in -lpthread" >&5
    7095 echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
    7096 if test "${ac_cv_lib_pthread_main+set}" = set; then
     7415
     7416# Checks for typedefs, structures, and compiler characteristics.
     7417echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
     7418echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
     7419if test "${ac_cv_header_stdbool_h+set}" = set; then
    70977420  echo $ECHO_N "(cached) $ECHO_C" >&6
    70987421else
    7099   ac_check_lib_save_LIBS=$LIBS
    7100 LIBS="-lpthread  $LIBS"
    7101 cat >conftest.$ac_ext <<_ACEOF
     7422  cat >conftest.$ac_ext <<_ACEOF
    71027423/* confdefs.h.  */
    71037424_ACEOF
     
    71067427/* end confdefs.h.  */
    71077428
     7429#include <stdbool.h>
     7430#ifndef bool
     7431# error bool is not defined
     7432#endif
     7433#ifndef false
     7434# error false is not defined
     7435#endif
     7436#if false
     7437# error false is not 0
     7438#endif
     7439#ifndef true
     7440# error true is not defined
     7441#endif
     7442#if true != 1
     7443# error true is not 1
     7444#endif
     7445#ifndef __bool_true_false_are_defined
     7446# error __bool_true_false_are_defined is not defined
     7447#endif
     7448
     7449        struct s { _Bool s: 1; _Bool t; } s;
     7450
     7451        char a[true == 1 ? 1 : -1];
     7452        char b[false == 0 ? 1 : -1];
     7453        char c[__bool_true_false_are_defined == 1 ? 1 : -1];
     7454        char d[(bool) -0.5 == true ? 1 : -1];
     7455        bool e = &s;
     7456        char f[(_Bool) -0.0 == false ? 1 : -1];
     7457        char g[true];
     7458        char h[sizeof (_Bool)];
     7459        char i[sizeof s.t];
    71087460
    71097461int
    71107462main ()
    71117463{
    7112 main ();
     7464 return !a + !b + !c + !d + !e + !f + !g + !h + !i;
    71137465  ;
    71147466  return 0;
    71157467}
    71167468_ACEOF
    7117 rm -f conftest.$ac_objext conftest$ac_exeext
    7118 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7119   (eval $ac_link) 2>conftest.er1
     7469rm -f conftest.$ac_objext
     7470if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7471  (eval $ac_compile) 2>conftest.er1
    71207472  ac_status=$?
    71217473  grep -v '^ *+' conftest.er1 >conftest.err
     
    71317483  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    71327484  (exit $ac_status); }; } &&
    7133          { ac_try='test -s conftest$ac_exeext'
     7485         { ac_try='test -s conftest.$ac_objext'
    71347486  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    71357487  (eval $ac_try) 2>&5
     
    71377489  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    71387490  (exit $ac_status); }; }; then
    7139   ac_cv_lib_pthread_main=yes
     7491  ac_cv_header_stdbool_h=yes
    71407492else
    71417493  echo "$as_me: failed program was:" >&5
    71427494sed 's/^/| /' conftest.$ac_ext >&5
    71437495
    7144 ac_cv_lib_pthread_main=no
    7145 fi
    7146 rm -f conftest.err conftest.$ac_objext \
    7147       conftest$ac_exeext conftest.$ac_ext
    7148 LIBS=$ac_check_lib_save_LIBS
    7149 fi
    7150 echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
    7151 echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
    7152 if test $ac_cv_lib_pthread_main = yes; then
    7153   FOUND_pthread=yes
    7154 fi
    7155 
    7156    if test x$FOUND_pthread = xyes ; then
    7157       LIBS="$LIBS -lpthread"
    7158    fi
    7159  fi
    7160 fi
    7161 
    7162 
    7163 #--------#
    7164 # efence #
    7165 #--------#
    7166 if test x$def_efence = xyes ; then
    7167   echo "$as_me:$LINENO: checking for main in -lefence" >&5
    7168 echo $ECHO_N "checking for main in -lefence... $ECHO_C" >&6
    7169 if test "${ac_cv_lib_efence_main+set}" = set; then
     7496ac_cv_header_stdbool_h=no
     7497fi
     7498rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7499fi
     7500echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
     7501echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
     7502echo "$as_me:$LINENO: checking for _Bool" >&5
     7503echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
     7504if test "${ac_cv_type__Bool+set}" = set; then
    71707505  echo $ECHO_N "(cached) $ECHO_C" >&6
    71717506else
    7172   ac_check_lib_save_LIBS=$LIBS
    7173 LIBS="-lefence  $LIBS"
    7174 cat >conftest.$ac_ext <<_ACEOF
     7507  cat >conftest.$ac_ext <<_ACEOF
    71757508/* confdefs.h.  */
    71767509_ACEOF
     
    71787511cat >>conftest.$ac_ext <<_ACEOF
    71797512/* end confdefs.h.  */
    7180 
    7181 
     7513$ac_includes_default
    71827514int
    71837515main ()
    71847516{
    7185 main ();
     7517if ((_Bool *) 0)
     7518  return 0;
     7519if (sizeof (_Bool))
     7520  return 0;
    71867521  ;
    71877522  return 0;
    71887523}
    71897524_ACEOF
    7190 rm -f conftest.$ac_objext conftest$ac_exeext
    7191 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7192   (eval $ac_link) 2>conftest.er1
     7525rm -f conftest.$ac_objext
     7526if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7527  (eval $ac_compile) 2>conftest.er1
    71937528  ac_status=$?
    71947529  grep -v '^ *+' conftest.er1 >conftest.err
     
    72047539  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    72057540  (exit $ac_status); }; } &&
    7206          { ac_try='test -s conftest$ac_exeext'
    7207   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7208   (eval $ac_try) 2>&5
    7209   ac_status=$?
    7210   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7211   (exit $ac_status); }; }; then
    7212   ac_cv_lib_efence_main=yes
    7213 else
    7214   echo "$as_me: failed program was:" >&5
    7215 sed 's/^/| /' conftest.$ac_ext >&5
    7216 
    7217 ac_cv_lib_efence_main=no
    7218 fi
    7219 rm -f conftest.err conftest.$ac_objext \
    7220       conftest$ac_exeext conftest.$ac_ext
    7221 LIBS=$ac_check_lib_save_LIBS
    7222 fi
    7223 echo "$as_me:$LINENO: result: $ac_cv_lib_efence_main" >&5
    7224 echo "${ECHO_T}$ac_cv_lib_efence_main" >&6
    7225 if test $ac_cv_lib_efence_main = yes; then
    7226   FOUND_efence=yes
    7227 fi
    7228 
    7229    if test x$FOUND_efence = xyes ; then
    7230       LIBS="$LIBS -lefence"
    7231    fi
    7232 
    7233 fi
    7234 
    7235 # FIXME: Replace `main' with a function in `-lm':
    7236 
    7237 echo "$as_me:$LINENO: checking for main in -lm" >&5
    7238 echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
    7239 if test "${ac_cv_lib_m_main+set}" = set; then
    7240   echo $ECHO_N "(cached) $ECHO_C" >&6
    7241 else
    7242   ac_check_lib_save_LIBS=$LIBS
    7243 LIBS="-lm  $LIBS"
    7244 cat >conftest.$ac_ext <<_ACEOF
    7245 /* confdefs.h.  */
    7246 _ACEOF
    7247 cat confdefs.h >>conftest.$ac_ext
    7248 cat >>conftest.$ac_ext <<_ACEOF
    7249 /* end confdefs.h.  */
    7250 
    7251 
    7252 int
    7253 main ()
    7254 {
    7255 main ();
    7256   ;
    7257   return 0;
    7258 }
    7259 _ACEOF
    7260 rm -f conftest.$ac_objext conftest$ac_exeext
    7261 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7262   (eval $ac_link) 2>conftest.er1
    7263   ac_status=$?
    7264   grep -v '^ *+' conftest.er1 >conftest.err
    7265   rm -f conftest.er1
    7266   cat conftest.err >&5
    7267   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7268   (exit $ac_status); } &&
    7269          { ac_try='test -z "$ac_c_werror_flag"
    7270                          || test ! -s conftest.err'
    7271   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7272   (eval $ac_try) 2>&5
    7273   ac_status=$?
    7274   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7275   (exit $ac_status); }; } &&
    7276          { ac_try='test -s conftest$ac_exeext'
    7277   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7278   (eval $ac_try) 2>&5
    7279   ac_status=$?
    7280   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7281   (exit $ac_status); }; }; then
    7282   ac_cv_lib_m_main=yes
    7283 else
    7284   echo "$as_me: failed program was:" >&5
    7285 sed 's/^/| /' conftest.$ac_ext >&5
    7286 
    7287 ac_cv_lib_m_main=no
    7288 fi
    7289 rm -f conftest.err conftest.$ac_objext \
    7290       conftest$ac_exeext conftest.$ac_ext
    7291 LIBS=$ac_check_lib_save_LIBS
    7292 fi
    7293 echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
    7294 echo "${ECHO_T}$ac_cv_lib_m_main" >&6
    7295 if test $ac_cv_lib_m_main = yes; then
    7296   cat >>confdefs.h <<_ACEOF
    7297 #define HAVE_LIBM 1
    7298 _ACEOF
    7299 
    7300   LIBS="-lm $LIBS"
    7301 
    7302 fi
    7303 
    7304 
    7305 
    7306 # Checks for header files.
    7307 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
    7308 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
    7309 if test "${ac_cv_header_stdc+set}" = set; then
    7310   echo $ECHO_N "(cached) $ECHO_C" >&6
    7311 else
    7312   cat >conftest.$ac_ext <<_ACEOF
    7313 /* confdefs.h.  */
    7314 _ACEOF
    7315 cat confdefs.h >>conftest.$ac_ext
    7316 cat >>conftest.$ac_ext <<_ACEOF
    7317 /* end confdefs.h.  */
    7318 #include <stdlib.h>
    7319 #include <stdarg.h>
    7320 #include <string.h>
    7321 #include <float.h>
    7322 
    7323 int
    7324 main ()
    7325 {
    7326 
    7327   ;
    7328   return 0;
    7329 }
    7330 _ACEOF
    7331 rm -f conftest.$ac_objext
    7332 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7333   (eval $ac_compile) 2>conftest.er1
    7334   ac_status=$?
    7335   grep -v '^ *+' conftest.er1 >conftest.err
    7336   rm -f conftest.er1
    7337   cat conftest.err >&5
    7338   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7339   (exit $ac_status); } &&
    7340          { ac_try='test -z "$ac_c_werror_flag"
    7341                          || test ! -s conftest.err'
    7342   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7343   (eval $ac_try) 2>&5
    7344   ac_status=$?
    7345   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7346   (exit $ac_status); }; } &&
    73477541         { ac_try='test -s conftest.$ac_objext'
    73487542  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     
    73517545  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    73527546  (exit $ac_status); }; }; then
    7353   ac_cv_header_stdc=yes
     7547  ac_cv_type__Bool=yes
    73547548else
    73557549  echo "$as_me: failed program was:" >&5
    73567550sed 's/^/| /' conftest.$ac_ext >&5
    73577551
    7358 ac_cv_header_stdc=no
     7552ac_cv_type__Bool=no
    73597553fi
    73607554rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7361 
    7362 if test $ac_cv_header_stdc = yes; then
    7363   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
    7364   cat >conftest.$ac_ext <<_ACEOF
    7365 /* confdefs.h.  */
    7366 _ACEOF
    7367 cat confdefs.h >>conftest.$ac_ext
    7368 cat >>conftest.$ac_ext <<_ACEOF
    7369 /* end confdefs.h.  */
    7370 #include <string.h>
    7371 
    7372 _ACEOF
    7373 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    7374   $EGREP "memchr" >/dev/null 2>&1; then
    7375   :
    7376 else
    7377   ac_cv_header_stdc=no
    7378 fi
    7379 rm -f conftest*
    7380 
    7381 fi
    7382 
    7383 if test $ac_cv_header_stdc = yes; then
    7384   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
    7385   cat >conftest.$ac_ext <<_ACEOF
    7386 /* confdefs.h.  */
    7387 _ACEOF
    7388 cat confdefs.h >>conftest.$ac_ext
    7389 cat >>conftest.$ac_ext <<_ACEOF
    7390 /* end confdefs.h.  */
    7391 #include <stdlib.h>
    7392 
    7393 _ACEOF
    7394 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    7395   $EGREP "free" >/dev/null 2>&1; then
    7396   :
    7397 else
    7398   ac_cv_header_stdc=no
    7399 fi
    7400 rm -f conftest*
    7401 
    7402 fi
    7403 
    7404 if test $ac_cv_header_stdc = yes; then
    7405   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
    7406   if test "$cross_compiling" = yes; then
    7407   :
    7408 else
    7409   cat >conftest.$ac_ext <<_ACEOF
    7410 /* confdefs.h.  */
    7411 _ACEOF
    7412 cat confdefs.h >>conftest.$ac_ext
    7413 cat >>conftest.$ac_ext <<_ACEOF
    7414 /* end confdefs.h.  */
    7415 #include <ctype.h>
    7416 #if ((' ' & 0x0FF) == 0x020)
    7417 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
    7418 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
    7419 #else
    7420 # define ISLOWER(c) \
    7421                    (('a' <= (c) && (c) <= 'i') \
    7422                      || ('j' <= (c) && (c) <= 'r') \
    7423                      || ('s' <= (c) && (c) <= 'z'))
    7424 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
    7425 #endif
    7426 
    7427 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
    7428 int
    7429 main ()
    7430 {
    7431   int i;
    7432   for (i = 0; i < 256; i++)
    7433     if (XOR (islower (i), ISLOWER (i))
    7434         || toupper (i) != TOUPPER (i))
    7435       exit(2);
    7436   exit (0);
    7437 }
    7438 _ACEOF
    7439 rm -f conftest$ac_exeext
    7440 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7441   (eval $ac_link) 2>&5
    7442   ac_status=$?
    7443   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7444   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    7445   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7446   (eval $ac_try) 2>&5
    7447   ac_status=$?
    7448   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7449   (exit $ac_status); }; }; then
    7450   :
    7451 else
    7452   echo "$as_me: program exited with status $ac_status" >&5
    7453 echo "$as_me: failed program was:" >&5
    7454 sed 's/^/| /' conftest.$ac_ext >&5
    7455 
    7456 ( exit $ac_status )
    7457 ac_cv_header_stdc=no
    7458 fi
    7459 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
    7460 fi
    7461 fi
    7462 fi
    7463 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
    7464 echo "${ECHO_T}$ac_cv_header_stdc" >&6
    7465 if test $ac_cv_header_stdc = yes; then
     7555fi
     7556echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
     7557echo "${ECHO_T}$ac_cv_type__Bool" >&6
     7558if test $ac_cv_type__Bool = yes; then
     7559
     7560cat >>confdefs.h <<_ACEOF
     7561#define HAVE__BOOL 1
     7562_ACEOF
     7563
     7564
     7565fi
     7566
     7567if test $ac_cv_header_stdbool_h = yes; then
    74667568
    74677569cat >>confdefs.h <<\_ACEOF
    7468 #define STDC_HEADERS 1
    7469 _ACEOF
    7470 
    7471 fi
    7472 
    7473 
    7474 
    7475 for ac_header in stdlib.h string.h
     7570#define HAVE_STDBOOL_H 1
     7571_ACEOF
     7572
     7573fi
     7574
     7575
     7576# Checks for library functions.
     7577
     7578for ac_header in stdlib.h
    74767579do
    74777580as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    76227725done
    76237726
    7624 
    7625 # Checks for typedefs, structures, and compiler characteristics.
    7626 echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
    7627 echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
    7628 if test "${ac_cv_header_stdbool_h+set}" = set; then
    7629   echo $ECHO_N "(cached) $ECHO_C" >&6
    7630 else
    7631   cat >conftest.$ac_ext <<_ACEOF
    7632 /* confdefs.h.  */
    7633 _ACEOF
    7634 cat confdefs.h >>conftest.$ac_ext
    7635 cat >>conftest.$ac_ext <<_ACEOF
    7636 /* end confdefs.h.  */
    7637 
    7638 #include <stdbool.h>
    7639 #ifndef bool
    7640 # error bool is not defined
    7641 #endif
    7642 #ifndef false
    7643 # error false is not defined
    7644 #endif
    7645 #if false
    7646 # error false is not 0
    7647 #endif
    7648 #ifndef true
    7649 # error true is not defined
    7650 #endif
    7651 #if true != 1
    7652 # error true is not 1
    7653 #endif
    7654 #ifndef __bool_true_false_are_defined
    7655 # error __bool_true_false_are_defined is not defined
    7656 #endif
    7657 
    7658         struct s { _Bool s: 1; _Bool t; } s;
    7659 
    7660         char a[true == 1 ? 1 : -1];
    7661         char b[false == 0 ? 1 : -1];
    7662         char c[__bool_true_false_are_defined == 1 ? 1 : -1];
    7663         char d[(bool) -0.5 == true ? 1 : -1];
    7664         bool e = &s;
    7665         char f[(_Bool) -0.0 == false ? 1 : -1];
    7666         char g[true];
    7667         char h[sizeof (_Bool)];
    7668         char i[sizeof s.t];
    7669 
    7670 int
    7671 main ()
    7672 {
    7673  return !a + !b + !c + !d + !e + !f + !g + !h + !i;
    7674   ;
    7675   return 0;
    7676 }
    7677 _ACEOF
    7678 rm -f conftest.$ac_objext
    7679 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7680   (eval $ac_compile) 2>conftest.er1
    7681   ac_status=$?
    7682   grep -v '^ *+' conftest.er1 >conftest.err
    7683   rm -f conftest.er1
    7684   cat conftest.err >&5
    7685   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7686   (exit $ac_status); } &&
    7687          { ac_try='test -z "$ac_c_werror_flag"
    7688                          || test ! -s conftest.err'
    7689   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7690   (eval $ac_try) 2>&5
    7691   ac_status=$?
    7692   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7693   (exit $ac_status); }; } &&
    7694          { ac_try='test -s conftest.$ac_objext'
    7695   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7696   (eval $ac_try) 2>&5
    7697   ac_status=$?
    7698   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7699   (exit $ac_status); }; }; then
    7700   ac_cv_header_stdbool_h=yes
    7701 else
    7702   echo "$as_me: failed program was:" >&5
    7703 sed 's/^/| /' conftest.$ac_ext >&5
    7704 
    7705 ac_cv_header_stdbool_h=no
    7706 fi
    7707 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7708 fi
    7709 echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
    7710 echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
    7711 echo "$as_me:$LINENO: checking for _Bool" >&5
    7712 echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
    7713 if test "${ac_cv_type__Bool+set}" = set; then
    7714   echo $ECHO_N "(cached) $ECHO_C" >&6
    7715 else
    7716   cat >conftest.$ac_ext <<_ACEOF
    7717 /* confdefs.h.  */
    7718 _ACEOF
    7719 cat confdefs.h >>conftest.$ac_ext
    7720 cat >>conftest.$ac_ext <<_ACEOF
    7721 /* end confdefs.h.  */
    7722 $ac_includes_default
    7723 int
    7724 main ()
    7725 {
    7726 if ((_Bool *) 0)
    7727   return 0;
    7728 if (sizeof (_Bool))
    7729   return 0;
    7730   ;
    7731   return 0;
    7732 }
    7733 _ACEOF
    7734 rm -f conftest.$ac_objext
    7735 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7736   (eval $ac_compile) 2>conftest.er1
    7737   ac_status=$?
    7738   grep -v '^ *+' conftest.er1 >conftest.err
    7739   rm -f conftest.er1
    7740   cat conftest.err >&5
    7741   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7742   (exit $ac_status); } &&
    7743          { ac_try='test -z "$ac_c_werror_flag"
    7744                          || test ! -s conftest.err'
    7745   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7746   (eval $ac_try) 2>&5
    7747   ac_status=$?
    7748   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7749   (exit $ac_status); }; } &&
    7750          { ac_try='test -s conftest.$ac_objext'
    7751   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7752   (eval $ac_try) 2>&5
    7753   ac_status=$?
    7754   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7755   (exit $ac_status); }; }; then
    7756   ac_cv_type__Bool=yes
    7757 else
    7758   echo "$as_me: failed program was:" >&5
    7759 sed 's/^/| /' conftest.$ac_ext >&5
    7760 
    7761 ac_cv_type__Bool=no
    7762 fi
    7763 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7764 fi
    7765 echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
    7766 echo "${ECHO_T}$ac_cv_type__Bool" >&6
    7767 if test $ac_cv_type__Bool = yes; then
    7768 
    7769 cat >>confdefs.h <<_ACEOF
    7770 #define HAVE__BOOL 1
    7771 _ACEOF
    7772 
    7773 
    7774 fi
    7775 
    7776 if test $ac_cv_header_stdbool_h = yes; then
    7777 
    7778 cat >>confdefs.h <<\_ACEOF
    7779 #define HAVE_STDBOOL_H 1
    7780 _ACEOF
    7781 
    7782 fi
    7783 
    7784 
    7785 # Checks for library functions.
    7786 
    7787 for ac_header in stdlib.h
    7788 do
    7789 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    7790 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7791   echo "$as_me:$LINENO: checking for $ac_header" >&5
    7792 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    7793 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7794   echo $ECHO_N "(cached) $ECHO_C" >&6
    7795 fi
    7796 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    7797 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    7798 else
    7799   # Is the header compilable?
    7800 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    7801 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    7802 cat >conftest.$ac_ext <<_ACEOF
    7803 /* confdefs.h.  */
    7804 _ACEOF
    7805 cat confdefs.h >>conftest.$ac_ext
    7806 cat >>conftest.$ac_ext <<_ACEOF
    7807 /* end confdefs.h.  */
    7808 $ac_includes_default
    7809 #include <$ac_header>
    7810 _ACEOF
    7811 rm -f conftest.$ac_objext
    7812 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7813   (eval $ac_compile) 2>conftest.er1
    7814   ac_status=$?
    7815   grep -v '^ *+' conftest.er1 >conftest.err
    7816   rm -f conftest.er1
    7817   cat conftest.err >&5
    7818   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7819   (exit $ac_status); } &&
    7820          { ac_try='test -z "$ac_c_werror_flag"
    7821                          || test ! -s conftest.err'
    7822   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7823   (eval $ac_try) 2>&5
    7824   ac_status=$?
    7825   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7826   (exit $ac_status); }; } &&
    7827          { ac_try='test -s conftest.$ac_objext'
    7828   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7829   (eval $ac_try) 2>&5
    7830   ac_status=$?
    7831   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7832   (exit $ac_status); }; }; then
    7833   ac_header_compiler=yes
    7834 else
    7835   echo "$as_me: failed program was:" >&5
    7836 sed 's/^/| /' conftest.$ac_ext >&5
    7837 
    7838 ac_header_compiler=no
    7839 fi
    7840 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7841 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    7842 echo "${ECHO_T}$ac_header_compiler" >&6
    7843 
    7844 # Is the header present?
    7845 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    7846 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    7847 cat >conftest.$ac_ext <<_ACEOF
    7848 /* confdefs.h.  */
    7849 _ACEOF
    7850 cat confdefs.h >>conftest.$ac_ext
    7851 cat >>conftest.$ac_ext <<_ACEOF
    7852 /* end confdefs.h.  */
    7853 #include <$ac_header>
    7854 _ACEOF
    7855 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    7856   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    7857   ac_status=$?
    7858   grep -v '^ *+' conftest.er1 >conftest.err
    7859   rm -f conftest.er1
    7860   cat conftest.err >&5
    7861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7862   (exit $ac_status); } >/dev/null; then
    7863   if test -s conftest.err; then
    7864     ac_cpp_err=$ac_c_preproc_warn_flag
    7865     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    7866   else
    7867     ac_cpp_err=
    7868   fi
    7869 else
    7870   ac_cpp_err=yes
    7871 fi
    7872 if test -z "$ac_cpp_err"; then
    7873   ac_header_preproc=yes
    7874 else
    7875   echo "$as_me: failed program was:" >&5
    7876 sed 's/^/| /' conftest.$ac_ext >&5
    7877 
    7878   ac_header_preproc=no
    7879 fi
    7880 rm -f conftest.err conftest.$ac_ext
    7881 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    7882 echo "${ECHO_T}$ac_header_preproc" >&6
    7883 
    7884 # So?  What about this header?
    7885 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    7886   yes:no: )
    7887     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    7888 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    7889     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    7890 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    7891     ac_header_preproc=yes
    7892     ;;
    7893   no:yes:* )
    7894     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    7895 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    7896     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    7897 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    7898     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    7899 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    7900     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    7901 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    7902     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    7903 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    7904     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    7905 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    7906     (
    7907       cat <<\_ASBOX
    7908 ## ---------------------------------------------- ##
    7909 ## Report this to orxonox-dev at mail.datacore.ch ##
    7910 ## ---------------------------------------------- ##
    7911 _ASBOX
    7912     ) |
    7913       sed "s/^/$as_me: WARNING:     /" >&2
    7914     ;;
    7915 esac
    7916 echo "$as_me:$LINENO: checking for $ac_header" >&5
    7917 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    7918 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7919   echo $ECHO_N "(cached) $ECHO_C" >&6
    7920 else
    7921   eval "$as_ac_Header=\$ac_header_preproc"
    7922 fi
    7923 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    7924 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    7925 
    7926 fi
    7927 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    7928   cat >>confdefs.h <<_ACEOF
    7929 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    7930 _ACEOF
    7931 
    7932 fi
    7933 
    7934 done
    7935 
    79367727echo "$as_me:$LINENO: checking for GNU libc compatible malloc" >&5
    79377728echo $ECHO_N "checking for GNU libc compatible malloc... $ECHO_C" >&6
     
    82628053Usually this means the macro was only invoked conditionally." >&5
    82638054echo "$as_me: error: conditional \"HAVE_GTK2\" was never defined.
    8264 Usually this means the macro was only invoked conditionally." >&2;}
    8265    { (exit 1); exit 1; }; }
    8266 fi
    8267 if test -z "${HAVE_GTHREAD_TRUE}" && test -z "${HAVE_GTHREAD_FALSE}"; then
    8268   { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTHREAD\" was never defined.
    8269 Usually this means the macro was only invoked conditionally." >&5
    8270 echo "$as_me: error: conditional \"HAVE_GTHREAD\" was never defined.
    82718055Usually this means the macro was only invoked conditionally." >&2;}
    82728056   { (exit 1); exit 1; }; }
     
    88688652s,@am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t
    88698653s,@am__fastdepCXX_FALSE@,$am__fastdepCXX_FALSE,;t t
     8654s,@RANLIB@,$RANLIB,;t t
     8655s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
    88708656s,@CC@,$CC,;t t
    88718657s,@CFLAGS@,$CFLAGS,;t t
     
    88908676s,@HAVE_GTK2_TRUE@,$HAVE_GTK2_TRUE,;t t
    88918677s,@HAVE_GTK2_FALSE@,$HAVE_GTK2_FALSE,;t t
    8892 s,@GTHREAD_LIBS@,$GTHREAD_LIBS,;t t
    8893 s,@GTHREAD_CFLAGS@,$GTHREAD_CFLAGS,;t t
    8894 s,@HAVE_GTHREAD_TRUE@,$HAVE_GTHREAD_TRUE,;t t
    8895 s,@HAVE_GTHREAD_FALSE@,$HAVE_GTHREAD_FALSE,;t t
    88968678s,@CURL_LIBS@,$CURL_LIBS,;t t
    88978679s,@CURL_CFLAGS@,$CURL_CFLAGS,;t t
     
    95259307  # Extract the definition of DEP_FILES from the Makefile without
    95269308  # running `make'.
    9527   DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
     9309  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
    95289310  test -z "$DEPDIR" && continue
    95299311  # When using ansi2knr, U may be empty or an underscore; expand it
    9530   U=`sed -n -e '/^U = / s///p' < "$mf"`
     9312  U=`sed -n 's/^U = //p' < "$mf"`
    95319313  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
    95329314  # We invoke sed twice because it is the simplest approach to
    95339315  # changing $(DEPDIR) to its actual value in the expansion.
    9534   for file in `sed -n -e '
     9316  for file in `sed -n '
    95359317    /^DEP_FILES = .*\\\\$/ {
    95369318      s/^DEP_FILES = //
Note: See TracChangeset for help on using the changeset viewer.